Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# UIPMC_Profile.cpp File Reference

`#include "UIPMC_Profile.h"`
`#include "miopconf.h"`
`#include "tao/CDR.h"`
`#include "tao/Environment.h"`
`#include "tao/ORB.h"`
`#include "tao/ORB_Core.h"`
`#include "tao/debug.h"`
`#include "tao/target_specification.h"`
`#include "orbsvcs/miopC.h"`
`#include "orbsvcs/PortableGroupC.h"`
`#include "UIPMC_Profile.i"`

Include dependency graph for UIPMC_Profile.cpp:

## Functions
const char * | get_rcsid_tao_UIPMC_Profile (const char *)
## Variables
const char * | rcsid_tao_UIPMC_Profile = get_rcsid_tao_UIPMC_Profile ( rcsid_tao_UIPMC_Profile )
const char | prefix_ [] = "uipmc"
const CORBA::Short | default_addressing_mode_ = TAO_Target_Specification::Profile_Addr

## Function Documentation

const char* get_rcsid_tao_UIPMC_Profile | ( | const char * |  | ) | `[inline, static]`

## Variable Documentation

const CORBA::Short default_addressing_mode_ = TAO_Target_Specification::Profile_Addr`[static]`

const char prefix_[] = "uipmc"`[static]`

const char* rcsid_tao_UIPMC_Profile = get_rcsid_tao_UIPMC_Profile ( rcsid_tao_UIPMC_Profile )`[static]`